[meta:date:2014-10-22]

[general]

### Important change when calling the i-net HelpDesk client
**Who is affected by the change?**
All those who use a fixed link to a concrete startup file, e.g. `http://server/helpdesk/scripts/HelpDeskDB_.Auth.html`

**Who is not affected by the change?**
Those who start i-net HelpDesk using the default call `http://server/helpdesk`.

**What if I use the stand-alone solution in the form of the file `helpdesk.jnlp`**
The previous static file `helpdesk.jnlp` will still be supported, but will no longer be updated. How to use the new, dynamically generated `helpdesk.jnlp`, please read [[#Standalone-Client (HelpDesk.jnlp)|more].

### What changes?
The new startup files are generated dynamically. This ensures that the current program settings are always transmitted from the server to the client.
* The previous startup files `main.aspx` or `main.php` as well as `helpdesk.jnlp` are still supported, but are no longer updated when changes are made (e.g. design, title image, title bar).
* URLs in the template files for the automatic e-mail notifications (path: `.../i-net HelpDesk/Server/Templates`): The URLs to the `main.aspx` or `main.php` files still work, but should be updated when the opportunity arises. See the manual `HelpDesk-Client.pdf` (HelpDesk server program directory, subfolder "Manual") for item "3.4 Start parameters for applet and stand-alone (jnlp)".
* The files `HelpDeskDB_Auth.html` and `HelpDeskDB_Auth.jnlp` do not exist anymore. Note: these files were only of interest if the login was against the HelpDesk database.
### Start URL for applet, stand-alone (jnlp) and HTML client
The i-net HelpDesk client can be called as a Java applet in the browser, as a stand-alone variant (`jnlp`) or as a pure HTML client (only with the dialogs for the end user).

### Java applet in the browser
A Java Runtime must be installed locally. The call URL `http://server/helpdesk` automatically redirects to depending on the HTTP server used:
* HTTP server from inetsoftware: `http://server/helpdesk/scripts/applet`
* MS IIS: `http://server/helpdesk/scripts/client.aspx/applet`
* Apache: `http://server/helpdesk/scripts/client.php/applet`

### Standalone client (HelpDesk.jnlp)
The application runs as a desktop client and therefore does not require a browser. The `HelpDesk.jnlp` file is created dynamically when you call the following URL in the browser:
* HTTP server from inetsoftware: `http://server/helpdesk/scripts/jnlp`
* MS IIS: `http://server/helpdesk/scripts/client.aspx/jnlp`
* Apache: `http://server/helpdesk/scripts/client.php/jnlp`

The "HelpDesk.jnlp" file can be saved locally or executed immediately.

### Authentication against the HelpDesk database
Logon is to the i-net HelpDesk database (for configuration see HelpDesk help for the `ServerProperties` file in the HelpDesk program directory, "Manual" subfolder).

If DB authentication is activated, logon against the HelpDesk DB is always attempted first. If this is not possible, logon to Windows or Apache/Linux takes place transparently in the program, i.e. not visible to the user.

**Special case:** Windows-integrated logon without box is desired, then the start URL must be as follows: `http://servername/helpdesk/scripts/client.aspx/applet/windowslogin`

### HTML client
The HTML client contains only the dialogs for the end user. The call and login is done via: `http://server/webhelpdesk`

**Note:** If authentication against the HelpDesk database has been activated in the HelpDesk MMC, "Connections" node, then the password defined in the HelpDesk must be used in the login box!

**Note:** In case of "Windows-integrated login" (no login box) the following URLs are required:
* HTTP server from inetsoftware: `http://server/htmlclient`
* MS IIS: `http://server:8002/htmlclient`
* Apache: `http://server:8002/htmlclient`

[general:de]
### Wichtige Änderung beim Aufruf des i-net HelpDesk-Clients
**Wen betrifft die Änderung?**
Alle diejenigen, die einen festen Link auf eine konkrete Startdatei nutzen, z.B. `http://server/helpdesk/scripts/HelpDeskDB_.Auth.html`

**Wen betrifft die Änderung nicht?**
Diejenigen, die den i-net HelpDesk starten über den Standard-Aufruf `http://server/helpdesk`.

**Was ist, wenn ich die Stand-Alone-Lösung in Form der Datei `helpdesk.jnlp` nutze?**
Die bisherige statische Datei `helpdesk.jnlp` wird weiterhin unterstützt, aber nicht mehr aktualisiert. Wie Sie die neue, dynamisch erzeugte `helpdesk.jnlp` einsetzen können, das lesen Sie bitte [[#Standalone-Client (HelpDesk.jnlp)|hier weiter].

### Was ändert sich?
Die neuen Startdateien werden dynamisch erzeugt. Damit wird sichergestellt, dass stets die aktuellen Programmeinstellungen vom Server an den Client übermittelt werden.
* Die bisherigen Startdateien `main.aspx` bzw. `main.php` sowie `helpdesk.jnlp` werden noch unterstützt, aber nicht mehr bei Änderungen (z.B. Design, Titelbild, Titelzeile) aktualisiert.
* URLs in den Template-Dateien für die automatischen E-Mail-Benachrichtungen (Pfad: `.../i-net HelpDesk/Server/Templates`): Die URLs auf die Dateien `main.aspx` bzw. `main.php` funktionieren noch, sollten aber bei Gelegenheit aktualisiert werden. Siehe dazu im Handbuch `HelpDesk-Client.pdf` (HelpDesk-Server-Programmverzeichnis, Unterordner "Manual") den Punkt "3.4 Startparameter für Applet und Stand-Alone (jnlp)".
* Die Dateien `HelpDeskDB_Auth.html` und `HelpDeskDB_Auth.jnlp` gibt es nicht mehr. Anmerkung: diese Dateien waren nur von Interesse, wenn die Anmeldung gegen die HelpDesk- Datenbank erfolgen sollte.

### Start-URL für Applet, Stand-Alone (jnlp) und HTML-Client
Der i-net HelpDesk-Client kann als Java-Applet im Browser, als Stand-Alone-Variante (`jnlp`) oder als reiner HTML-Client (nur mit den Dialogen für den Endanwender) aufgerufen werden.

### Java-Applet im Browser
Eine Java Runtime muss lokal installiert sein. Die Aufruf-URL `http://server/helpdesk` leitet automatisch je nach verwendetem HTTP-Server weiter auf:
* HTTP-Server von inetsoftware: `http://server/helpdesk/scripts/applet`
* MS IIS: `http://server/helpdesk/scripts/client.aspx/applet`
* Apache: `http://server/helpdesk/scripts/client.php/applet`

### Standalone-Client (HelpDesk.jnlp)
Die Anwendung läuft als Desktop-Client und benötigt daher keinen Browser. Die Datei `HelpDesk.jnlp` wird dynamisch erzeugt, wenn Sie im Browser die folgende URL aufrufen:
* HTTP-Server von inetsoftware: `http://server/helpdesk/scripts/jnlp`
* MS IIS: `http://server/helpdesk/scripts/client.aspx/jnlp`
* Apache: `http://server/helpdesk/scripts/client.php/jnlp`

Die Datei "HelpDesk.jnlp" kann lokal gespeichert werden bzw. sofort ausgeführt werden.

### Authentifizierung gegen die HelpDesk-Datebank
Anmeldung erfolgt an der Datenbank des i-net HelpDesk (zur Konfiguration siehe HelpDesk-Hilfe zur Datei `ServerProperties` im HelpDesk-Programmverzeichnis, Unterordner "Manual").

Bei aktivierter DB-Authentifizierung wird immer zuerst die Anmeldung gegen der HelpDesk-DB versucht. Ist dies nicht möglich, dann erfolgt transparent im Programm, d.h. für den User nicht ersichtlich, eine Anmeldung gegenüber Windows bzw. Apache/Linux.

**Sonderfall:** Windows-integrierte Anmeldung ohne Box wird gewünscht, dann muss die Start-URL wie folgt lauten: `http://servername/helpdesk/scripts/client.aspx/applet/windowslogin`

### HTML-Client
Der HTML-CLient enthält nur die Dialoge für den Endanwender. Der Aufruf und die Anmeldung erfolgt über: `http://server/webhelpdesk`

**Hinweis:** Wenn in der HelpDesk-MMC, Knoten "Verbindungen" die Authentifizierung gegen die HelpDesk-Datenbank aktiviert wurde, dann muss in der Anmeldebox das im HelpDesk festgelegte Kennwort verwendet werden!

**Hinweis:** Bei "Windows-integrierte Anmeldung" (keine Anmeldebox) werden folgende URLs benötigt:
* HTTP-Server von inetsoftware: `http://server/htmlclient`
* MS IIS: `http://server:8002/htmlclient`
* Apache: `http://server:8002/htmlclient`

[changes]
* **If a ticket has been assigned to the "Administrator" user, the fields in the "User data" tab will be read-only for all dispatchers/resources that do NOT have the right to access the User manager. The ticket can only be assigned to another user (if the "Change user" right exists).
* **Resource + Supervisor:** User group tab as module
* **Response dialog:** Author is now formed with last name, first name
* Protocol of clients has been revised with regard to a more understandable presentation.

### New "Interested Parties" plugin
Plugins extend the functionality of i-net HelpDesk. The HelpDesk admin is responsible for activating them.

The plugin offers the possibility to define additional potential interested parties for ticket communication from an end user's point of view. As a result, these interested parties can optionally automatically receive a copy as CC for all manual e-mails from the ticket.

Example: The end user is an office staff member who selects one or more field staff members via the "Interested Parties" field.

#### Process
* In the end user client (Java only), a HelpDesk end user, e.g. the office staff member, creates a new ticket.
* The user names of one or more field service employees can be added from a list in an additional field (order free field4; name "Interested Parties"; to be shown by the HelpDesk admin).
* Furthermore, there is the optional option that the field staff members are set to CC for all MANUAL e-mails from the ticket (automatic e-mails are not considered).

#### Affected dialogs
* Request (User)
* Request list (user)
* Requests(Dispatcher) and
* Order processing(Resssource)

The names of interested parties, e.g. field service employees, must be included in the HelpDesk database like all other HelpDesk users, along with their e-mail addresses. HelpDesk users without e-mail addresses cannot be included in the "Interested Parties" field. It is possible to select the interested parties even without activating the checkbox.

Existing functionalities in the end user dialog are preserved, e.g.:
* Selecting a specific category will show additional fields.
* "Interested Parties" can be set as a mandatory field for the end user by the HelpDesk admin.

Note for the HelpDesk admin:
* The name of the file is `addrecipientstocc.zip`.
* Location is in the HelpDesk server directory subfolder `Server/additional_plugins`.
* For activation the file has to be copied into the directory `Server/plugins`.
* Finally, the HelpDesk service must be restarted.

[changes:de]
* **Dispatcher/Ressourcen:** Wurde ein Ticket dem User "Administrator" zugewiesen, dann sind die Felder im Tab "Benutzerdaten" schreibgeschützt für alle Dispatcher/Ressourcen, die KEIN Recht auf den Benutzer-Manager besitzen. Das Ticket kann lediglich einem anderen User zugewiesen werden (falls das Recht "Benutzer ändern" besteht).
* **Ressource + Supervisor:** Benutzergruppen-Tab als Modul
* **Antworten-Dialog:** Verfasser wird nun gebildet mit Nachname, Vorname
* Protokoll der Clients wurde überarbeitet hinsichtlich einer verständlicheren Darstellung.

### Neues Plugin "Interested Parties"
Plugins erweitern die Funktion des i-net HelpDesk. Für deren Aktivierung ist der HelpDesk-Admin zuständig.

Das Plugin bietet die Möglichkeit aus Sicht eines Endanwenders weitere potentielle Interessenten für die Ticket-Kommunikation festzulegen. In der Folge können diese Interessenten optional automatisch bei allen manuellen E-Mails aus dem Ticket eine Kopie als CC erhalten.

Beispiel: Der Endanwender ist ein Mitarbeiter im Innendienst, der über das Feld "Interested Parties" ein oder mehrere Außendienstler auswählt.

#### Ablauf
* Im Endanwender-Client (nur Java) erstellt ein HelpDesk-Endanwender, z.B. der Innendienst- Mitarbeiter, eine neue Anfrage.
* In einem zusätzlichen Feld (Auftragsfreifeld4; Name "Interested Parties"; einzublenden vom HelpDesk-Admin) können die Benutzernamen von ein oder mehreren Außendienst-Mitarbeitern aus einer Liste hinzugefügt werden.
* Des Weiteren besteht optional die Möglichkeit, dass die Außendienst-Mitarbeiter bei allen MANUELLEN E-Mails aus dem Ticket auf CC gesetzt werden (automatische E-Mails werden nicht berücksichtigt).

#### Betroffene Dialoge
* Anfrage (Benutzer)
* Anfragenliste (Benutzer)
* Anfragen(Dispatcher) und
* Auftragsbearbeitung(Resssource)

Die Namen der Interessenten, z.B. der Außendienst-Mitarbeiter, müssen wie alle anderen HelpDesk- Benutzer in der HelpDesk-Datenbank enthalten sein, dazu deren E-Mail-Adressen. HelpDesk- Benutzer ohne E-Mail-Adresse können nicht in das Feld "Interested Parties" übernommen werden. Die Auswahl der Interessenten ist möglich, auch ohne dass die Checkbox aktiviert werden muss.

Bestehende Funktionalitäten im Endanwender-Dialog bleiben erhalten, z.B.:
* Die Auswahl einer bestimmten Kategorie blendet weitere Felder ein.
* "Interested Parties" kann als Pflichtfeld für den Endanwender vom HelpDesk-Admin festgelegt werden.

Hinweis für den HelpDesk-Admin:
* Der Name der Datei lautet `addrecipientstocc.zip`.
* Speicherort ist im HelpDesk-Server-Verzeichnis der Unterordner `Server/additional_plugins`.
* Zur Aktivierung muss die Datei ins Verzeichnis `Server/plugins` kopiert werden.
* Abschließend ist der HelpDesk-Service neu zu starten.

[bugfixes]
* **New request:** Dispatcher adds an attachment. This is not displayed in the request via a paperclip.
* **Orders:** Email inbox contains a "message as attachment", which in turn has one or more attachments. These attachments are not displayed.
* **Order details, editing in history:** `Ctrl + S` does not save in the existing editing step. While editing a realization step, it is now possible with `Ctrl + S` to save this step without immediately creating a new realization step.
* **Order details, reply e-mail with attachment:** If attachments were taken from the ticket in reply e-mails, there was no reference to the attachment in the realization step. There is now a note about the attachment in the realization step below the email.
* **Task details, reply dialog:** Attachments whose names have the form `<ZAHL>_*` are automatically renamed in some cases and sent without a number in the name.
* **Order details, e-mail replies:** In the recipient selection dialog, if the filter option "Without" is selected, all users are displayed, although only users with an e-mail address may be displayed in the selection.
* **Task details, sender for client e-mails in the reply dialog:** If no category is set, then an arbitrary mailbox is suggested as sender and not the mailbox from which the e-mail was read.
* **Order details, tab "Attachments":** If the file name contains a space or an umlaut and access from the HelpDesk client is via a proxy, then the file cannot be opened (box `The file abc 123.kxl has been deleted on the server and is no longer available. (Error in .../Client/scripts/ClientProxy.vb)`)
* **HTML text:** An empty `<p>` tag at the end of the text causes no content to be displayed.
* **User Manager:** Creating a new user fails if the view of users is grouped by location/customer.
* **Order Tree:** If the tree structure is collapsed down to the root node and you exit the program, the next time you open the program the tree is still collapsed.
* **ServerProperty "LastOnly" for history in Auto-Mail:** Currently the content of the last processing is really always taken, even if this step is empty. This behavior has been changed. Now for "LastOnly" the last non-empty edit is inserted.
* **Inventory:** Filter does not work with the free fields
* **Email Inbox:** If the incoming email contains embedded images, then in rare cases the image references may not be set correctly.
* **List of users:** If you type the first characters in the input field, then setting the focus in the list is not done correctly if there are users with empty "Last name" field.
* **Order field5 as mandatory field:** the input of 2 values is not recognized as valid.
* Screenshot in Exit Auto email contains cache reference and not HelpDesk server reference.
* Comment feature without function
* HelpDesk.jnlp corrupt after changing text in title bar
* Process Editor cannot be displayed (only if Oracle is used as database)
* The increased security requirements of Java 7u45 have been taken into account.
* (only if MySQL is used as DB): Job details - history empty if database response time long.

[bugfixes:de]
* **Neue Anfrage:** Dispatcher fügt ein Attachment hinzu. Dieses wird im Auftrag nicht über eine Büroklammer angezeigt.
* **Aufträge:** E-Mail-Eingang enthält eine "Nachricht als Anlage", die wiederum eine oder mehrere Anlagen besitzt. Diese Anlagen werden nicht dargestellt.
* **Auftragsdetails, Bearbeitung in der Historie:** `Strg + S` speichert nicht im vorhandenen Bearbeitungsschritt. Während der Bearbeitung eines Realisierungsschritts ist es nun mit `Strg + S` möglich, diesen Schritt zu speichern, ohne gleich einen neuen Realisierungsschritt anzulegen.
* **Auftragsdetails, Antwort-Mail mit Anlage:** Wenn bei Antworten-E-Mails Anlagen aus dem Ticket übernommen wurden, gab es im Realisierungsschritt dazu keinen Hinweis auf die Anlage. Es steht nun im Realisierungsschritt unter der E-Mail ein Hinweis zur Anlage.
* **Auftragsdetails, Antworten-Dialog:** Anhänge deren Namen die Form `<ZAHL>_*` besitzen, werden in einigen Fällen automatisch umbenannt und ohne Zahl im Namen versendet.
* **Auftragsdetails, E-Mail-Antworten:** Im Empfänger-Auswahl-Dialog sieht man bei gewählter Filter- Option "Ohne" alle User, obwohl in der Auswahl nur die User mit E-Mail-Adresse angezeigt werden dürfen.
* **Auftragsdetails, Absender für Client-Mails im Antworten-Dialog:** Wenn keine Kategorie gesetzt ist, dann wird als Absender ein beliebiges Postfach vorgeschlagen und nicht das Postfach, über welches die E-Mail eingelesen wurde.
* **Auftragsdetails, Tab "Anlagen":** Wenn der Dateinamen ein Leerzeichen oder Umlaut enthält und der Zugriff vom HelpDesk-Client über einen Proxy erfolgt, dann kann die Datei nicht geöffnet werden (Box `Die Datei abc 123.kxl wurde auf dem Server gelöscht und ist nicht mehr verfügbar. (Fehler in .../Client/scripts/ClientProxy.vb)`)
* **HTML-Text:** Ein leerer `<p>`-Tag am Textende führt dazu, dass kein Inhalt angezeigt wird.
* **Benutzermanager:** Das Anlegen eines neuen Users scheitert, wenn die Ansicht der User nach Ort/Kunde gruppiert ist.
* **Auftragsbaum:** Ist die Baumstruktur reduziert bis auf den Root-Knoten und beendet man das Programm, dann ist beim nächsten Öffnen der Baum immer noch zusammengeklappt.
* **ServerProperty "LastOnly" für Historie in der Auto-Mail:** Aktuell wird wirklich immer der Inhalt der letzten Bearbeitung genommen, auch wenn dieser Schritt leer ist. Dieses Verhalten wurde geändert. Nun wird bei "LastOnly" die letzte nicht-leere Bearbeitung eingefügt.
* **Inventar:** Filter funktioniert nicht mit den Freifeldern
* **E-Mail-Eingang:** Wenn die ankommende E-Mail eingebettete Bilder enthält, dann können in seltenen Fällen die Image-Referenzen nicht korrekt gesetzt sein.
* **Liste der Benutzer:** Tippt man im Eingabefeld die ersten Zeichen, dann erfolgt das Setzen des Fokus in der Liste nicht korrekt, wenn es Benutzer mit leerem Feld "Nachname" gibt.
* **Auftrag Feld5 als Pflichtfeld:** die Eingabe von 2 Werten wird nicht als gültig erkannt.
* Screenshot in der Beenden-Auto-E-Mail enthält Cache-Referenz und nicht die Referenz zum HelpDesk-Server.
* Kommentar-Feature ohne Funktion
* HelpDesk.jnlp korrupt nach Änderung des Textes in der Titelleiste
* Prozess Editor kann nicht dargestellt werden (nur wenn Oracle als Datenbank verwendet wird)
* Die erhöhten Sicherheitsanforderungen von Java 7u45 wurden berücksichtigt.
* (nur bei MySQL als DB): Auftragsdetails – Historie leer, wenn Reaktionszeit der Datenbank lang.
[security]

[security:de]
